package com.liang.service;

import com.liang.entity.StaOutexpense;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageRequest;

import java.util.List;

/**
 * 外委研究支出(StaOutexpense)表服务接口
 *
 * @author makejava
 * @since 2023-07-18 21:54:40
 */
public interface StaOutexpenseService {

    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    StaOutexpense queryById(Integer id);

    /**
     * 分页查询
     *
     * @param staOutexpense 筛选条件
     * @param pageRequest   分页对象
     * @return 查询结果
     */
    Page<StaOutexpense> queryByPage(StaOutexpense staOutexpense, PageRequest pageRequest);

    /**
     * 新增数据
     *
     * @param staOutexpense 实例对象
     * @return 实例对象
     */
    StaOutexpense insert(StaOutexpense staOutexpense);

    /**
     * 修改数据
     *
     * @param staOutexpense 实例对象
     * @return 实例对象
     */
    StaOutexpense update(StaOutexpense staOutexpense);

    /**
     * 通过主键删除数据
     *
     * @param id 主键
     * @return 是否成功
     */
    boolean deleteById(Integer id);

    /**
     * 获取列表
     *
     * @return
     */
    List<StaOutexpense> getWwyjzcList(Integer zb);

    /**
     * 通过主表删除数据
     *
     * @param zb
     * @return
     */
    int deleteByZb(Integer zb);

    /**
     * 批量删除
     *
     * @param zbList
     * @return
     */
    int batchDeleteByZb(List<Integer> zbList);

    /**
     * 批量插入
     *
     * @param expenseList
     * @return
     */
    int insertBatch(List<StaOutexpense> expenseList);
}
